package response

import (
	"eta/eta_api/models/data_manage/cross_variety"
	"github.com/rdlucklib/rdluck_tools/paging"
)

// VarietyDeleteCheckResp 品种删除检测数据返回
type VarietyDeleteCheckResp struct {
	DeleteStatus int    `description:"检测状态:0:默认值，如果为0，继续走其他校验，1:已关联图表的品种，不允许删除！"`
	TipsMsg      string `description:"提示信息"`
}

// VarietyListResp
// @Description: 品种列表数据
type VarietyListResp struct {
	List   []*cross_variety.ChartVariety `description:"列表数据"`
	Paging *paging.PagingItem
}
