package report_approve

// 报告类型
const (
	FlowReportTypeChinese = 1 // 中文研报
	FlowReportTypeEnglish = 2 // 英文研报
	FlowReportTypeSmart   = 3 // 智能研报
)

var FlowReportTypeMap = map[int]string{
	FlowReportTypeChinese: "中文研报",
	FlowReportTypeEnglish: "英文研报",
	FlowReportTypeSmart:   "智能研报",
}

// 节点审批方式
const (
	NodeApproveTypeRoll = 1 // 依次审批
	NodeApproveTypeAll  = 2 // 会签
	NodeApproveTypeAny  = 3 // 或签
)

// 节点审批人类型
const (
	NodeUserTypeNormal = "user" // 用户
	NodeUserTypeRole   = "role" // 角色
)

// 报告审批状态
const (
	ReportApproveStateApproving = 1 // 待审批
	ReportApproveStatePass      = 2 // 已审批
	ReportApproveStateRefuse    = 3 // 已驳回
	ReportApproveStateCancel    = 4 // 已撤销
)
